/* SECTION CONTAINER */
.testimonials-container {
  min-height: 100vh;
  position: relative;
  background-color: #fff;
}

/* ACTIVE TEST INDICATORS */
.active-test-indicators {
  position: absolute;
  top: 12%;
  left: 50%;
  transform: translate3d(-50%, 0, 0);
  z-index: 5;
}

.active-test-indicator {
  display: inline-block;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  border: 1px solid #404040;
  margin: 0 20px;
  cursor: pointer;
  transition: background 0.3s;
}

.active-test-indicator.active,
.active-test-indicator:hover {
  background: #404040;
}

/* INNER SECTION CONTAINER */
.inner-testimonials-container {
  overflow-x: scroll;
  position: sticky;
  top: 0;
  display: flex;
  scrollbar-width: none;
  -ms-overflow-style: none;
  overflow: hidden;
  z-index: 3;
}

/* Hide scrollbar for Chrome, Safari and Opera */
.inner-testimonials-container::-webkit-scrollbar {
  display: none;
}

/* TESTIMONIAL ITEM CONTAINER */
.testimonial-container {
  min-height: 100vh;
  width: 100vw;
  white-space: normal;
  position: relative;
  display: flex;
  flex-wrap: nowrap;
  min-width: 100vw;
  z-index: 2;
}

/* INNER TESTIMONIAL ITEM CONTAINER */
.inner-testimonial-container {
  max-width: 100%;
  width: 780px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate3d(-50%, -50%, 0);
}

/* IMAGE CONTAINER */
.testimonial-image-container {
  width: 40%;
  height: 0;
  padding-bottom: 40%;
  position: relative;
}

.testimonial-container.align-left .testimonial-image-container {
  float: left;
}

.testimonial-container.align-right .testimonial-image-container {
  float: right;
}

/* IMAGE */
.testimonial-container img {
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  object-fit: contain;
}

/* TEXT CONTAINER */
.testimonial-content {
  padding-top: 40px;
}

.testimonial-container.align-left .testimonial-content {
  /* 					margin-left: 45%; */
  width: 50%;
  float: right;
}

.testimonial-container.align-right .testimonial-content {
  /* 					margin-right: 45%; */
  width: 50%;
  float: left;
}

/* QUOTE */
p.testimonial-quote {
  font-size: 24px;
  line-height: 30px;
  margin-bottom: 60px;
}

/* NAME */
p.testimonial-name {
  font-size: 32px;
  line-height: 1em;
  color: #4b4b4b;
  margin-bottom: 10px;
}

.testimonial-container.align-left p.testimonial-name {
  padding-left: 80px;
}

/* JOB TITLE */
p.testimonial-job-title {
  font-size: 16px;
  font-weight: 600;
  color: #4b4b4b;
}

.testimonial-container.align-left p.testimonial-job-title {
  padding-left: 80px;
}

/* TESTIMONIAL SHAPES */

body.loaded .in-view .testimonial-container.active .shape-outline-ani.custom-ani {
  animation: line 1.5s ease-in;
  animation-fill-mode: forwards;
}

body.loaded .in-view .testimonial-container:not(.active) .shape-outline-ani.custom-ani {
  animation: linehide 1.5s ease-in;
  animation-fill-mode: forwards;
}

/* SET 1 */
.test-shape-set-1-shape-1 {
  position: absolute;
  right: 0;
  transform: translate3d(50%, 0, 0);
  bottom: calc(50% + 364px);
}

.test-shape-set-1-shape-2 {
  position: absolute;
  right: 0;
  transform: translate3d(50%, 0%, 0);
  bottom: calc(50% + 160px);
}

.test-shape-set-1-shape-3 {
  position: absolute;
  top: calc(50% + 60px);
  z-index: -1;
  right: calc(50% + 10px);
}

.test-shape-set-1-shape-4 {
  position: absolute;
  top: calc(50% + -160px);
  z-index: -1;
  right: calc(50% + 10px);
  transform: rotate(180deg) translate3d(0, 0, 0);
}

.in-view .testimonial-container .test-shape-set-1-shape-4 {
  /* PREVENTS ROTATION ANIMATION ON LOAD */
  transition: right 2s, transform 2s;
}

.in-view .testimonial-container.active .test-shape-set-1-shape-4 {
  right: 0;
  transform: rotate(180deg) translate3d(-50%, 0, 0);
}

/* SET 2 */
.test-shape-set-2-shape-1 {
  position: absolute;
  top: 50%;
  right: 0;
  transform: rotate(180deg) translate3d(-40%, 50%, 0);
}

.test-shape-set-2-shape-2 {
  position: absolute;
  top: 50%;
  transform: rotate(180deg) translate3d(0, 50%, 0);
  left: 50%;
  z-index: -1;
}

.in-view .testimonial-container .test-shape-set-2-shape-2 {
  /* PREVENTS ROTATION ANIMATION ON LOAD */
  transition: left 2s, transform 2s;
}

.in-view .testimonial-container.active .test-shape-set-2-shape-2 {
  left: 0;
  transform: rotate(180deg) translate3d(50%, 50%, 0);
}

.test-shape-set-2-shape-3 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate3d(calc(100% - 2px), -50%, 0);
  z-index: -1;
}

/* SET 3 */
.test-shape-set-3-shape-1 {
  position: absolute;
  left: 0;
  transform: translate3d(-70%, 0, 0);
  bottom: 50%;
}

.test-shape-set-3-shape-2 {
  position: absolute;
  left: 0;
  transform: translate3d(-70%, 0, 0);
  top: 50%;
}

.test-shape-set-3-shape-3 {
  position: absolute;
  top: 50%;
  right: calc(50% + 220px);
  z-index: -1;
  transform: translate3d(0, -50%, 0);
}

.test-shape-set-3-shape-4 {
  position: absolute;
  top: 50%;
  right: 50%;
  transform: rotate(180deg) translate3d(0, 50%, 0);
  z-index: -1;
}

.in-view .testimonial-container .test-shape-set-3-shape-4 {
  /* PREVENTS ROTATION ANIMATION ON LOAD */
  transition: right 2s, transform 2s;
}

.in-view .testimonial-container.active .test-shape-set-3-shape-4 {
  right: 0;
  transform: rotate(180deg) translate3d(-50%, 50%, 0);
}

/* CTA LINK */
.test-cta-link {
  display: inline-block;
  color: #6100ff;
  border: 1.5px solid #6100ff;
  text-decoration: none;
  border-radius: 25px;
  line-height: 50px;
  padding: 0 22px 0 30px;
  font-weight: 500;
  height: 50px;
  position: absolute;
  bottom: 12%;
  left: 50%;
  transform: translate3d(-50%, 0, 0);
  z-index: 3;
  white-space: nowrap;
  background-color: #fff;
}

.test-cta-link::after {
  content: "";
  display: inline-block;
  background-image: url("../../images/arrow-ne-purple.svg");
  background-repeat: no-repeat;
  background-position: right center;
  height: 10px;
  width: 10px;
  padding-left: 15px;
  transition: transform 0.3s;
}

/* NEXT SECTION LINK */
.next-section-link {
  position: absolute;
  bottom: 12%;
  right: 30px;
  transition: transform 0.3s;
  z-index: 1000;
}

.next-section-link:hover {
  transform: scale(1.1);
}

/* BLUE ACCENTS */
.blue-accents-container {
  position: absolute;
  height: 100px;
  width: 200px;
  z-index: 0;
}

.blue-accents-container.top-left {
  top: 12%;
  left: 15%;
}

.blue-accents-container.bottom-right {
  bottom: 12%;
  right: 15%;
}

.blue-accent-shape {
  display: inline-block;
  height: 100%;
  width: 50%;
  background-size: contain;
  background-repeat: no-repeat;
}

.blue-accents-container.top-left .blue-accent-shape {
  background-image: url("../../images/top-left-blue-circle.svg");
}

.blue-accents-container.bottom-right .blue-accent-shape {
  background-image: url("../../images/top-right-blue-circle.svg");
}

/* > 850 */
@media only screen and (min-width: 850px) {
  .inner-testimonial-container {
    display: flex;
  }

  .align-left .inner-testimonial-container {
    flex-direction: row-reverse;
  }

  .testimonial-image-container {
    width: 50%;
  }
}

/* 850 */
@media only screen and (max-width: 850px) {
  .testimonials-container,
  .testimonial-container {
    min-height: auto;
  }

  .testimonials-container .next-section-link {
    display: none;
  }

  .active-test-indicators {
    top: 10%;
  }

  .inner-testimonial-container {
    position: relative;
    top: 0;
    left: 0;
    transform: unset;
    height: auto;
    margin: 0 auto;
  }

  /* TEXT */
  .testimonial-container.align-left .testimonial-content,
  .testimonial-container.align-right .testimonial-content {
    width: 100%;
    float: none;
    margin: 150px auto 0;
    max-width: 350px;
    padding: 0 var(--side-padding);
    box-sizing: border-box;
  }

  p.testimonial-quote {
    font-size: 16px;
    line-height: 28px;
    margin-bottom: 30px;
  }

  .testimonial-container.align-left p.testimonial-name {
    padding-left: 0;
  }

  .testimonial-container.align-left p.testimonial-job-title {
    padding-left: 0;
  }

  /* IMAGE */
  .testimonial-container.align-left .testimonial-image-container,
  .testimonial-container.align-right .testimonial-image-container {
    float: none;
    margin: 50px auto;
    width: 160px;
    padding-bottom: 160px;
  }

  /* SHAPES */
  .test-shape-set-1-shape-4,
  .test-shape-set-2-shape-2,
  .test-shape-set-3-shape-4 {
    display: none;
  }

  .test-shape-set-1-shape-3 {
    bottom: 0;
    right: auto;
    left: 50%;
    width: 200px;
    transform: translate3d(-50%, 0, 0);
    height: 100px;
    top: auto;
  }

  .test-shape-set-2-shape-3 {
    top: auto;
    left: 50%;
    width: 100px;
    height: 200px;
    bottom: 30px;
    transform: unset;
  }

  .test-shape-set-3-shape-3 {
    top: auto;
    right: auto;
    transform: translate3d(-100%, 0, 0);
    bottom: 50px;
    left: 50%;
    width: 100px;
    height: 200px;
  }

  /* CTA LINK */
  .test-cta-link {
    position: relative;
    margin: 50px auto;
  }

  /* ACCENTS */
  .blue-accents-container {
    height: 80px;
    width: 160px;
  }

  .blue-accents-container.top-left {
    top: 10%;
    left: auto;
    right: 100%;
    transform: translate3d(60%, 0, 0);
  }

  .blue-accents-container.bottom-right {
    bottom: 10%;
    right: auto;
    left: 100%;
    transform: translate3d(-60%, 0, 0);
  }
}

/* 800 height */
@media only screen and (max-height: 800px) {
  .test-cta-link {
    bottom: 50px;
  }
}
